# Trait std::os::unix::fs::DirEntryExt [−] [src]

    pub trait DirEntryExt {
        fn ino(&self) -> ino_t;
    }

Unix-specific extension methods for `fs::DirEntry`

## Required Methods

### `fn ino(&self) -> ino_t`

Returns the underlying `d_ino` field in the contained `dirent` structure.

## Implementors

- `impl DirEntryExt for DirEntry`
- `impl DirEntryExt for DirEntry`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize`)